Skip to contents

# Wrapper around `tmap::tm_text()` with sane defaults for plotting admin labels.

Source: `R/map.R`
`add_admin_labels.Rd`

Wrapper around `tmap::tm_text()` with sane defaults for plotting admin labels.

## Usage

    add_admin_labels(
      point,
      text,
      size = 0.5,
      fontface = "bold",
      fontfamily = "Leelawadee",
      shadow = TRUE,
      auto_placement = FALSE,
      remove_overlap = FALSE,
      ...
    )

## Arguments

point

  Multipoint shape defined by sf package.

text

  Text labels column.

size

  Relative size of the text labels.

fontface

  Fontface.

fontfamily

  Fontfamily. Leelawadee is your precious.

shadow

  Boolean. Add a shadow around text labels. Issue opened on Github to request.

auto_placement

  Logical that determines whether the labels are placed automatically.

remove_overlap

  Logical that determines whether the overlapping labels are removed.

...

  Other arguments to pass to `tmap::tm_text()`.

## Value

A tmap layer.